package com.brilliance.isc.common.liaallg.service;

import com.brilliance.isc.common.liaall.vo.LiaallVo;
import com.brilliance.isc.common.liaallg.vo.LiaallgVo;

public interface LiaallgService {

    String getObjMod(int index);

    void calcValdat(LiaallgVo liaallgVo, LiaallVo liaall);

    void calcMatdat(LiaallgVo liaallgVo);

    void calcFec(LiaallgVo liaallgVo, LiaallVo liaall);

    boolean hasOldAccountToBeValid(LiaallgVo liaallg);

    void defaultAcc(LiaallgVo liaallg);

    void defaultAcc2(LiaallgVo liaallg);

    void defaultPtegrpRecSubid(LiaallVo liaall, LiaallgVo liaallg);

    void defaultPtegrpRecExtid(LiaallgVo liaallg);

    String getGroupKey(LiaallgVo liaallg, LiaallVo liaall);

    void defaultCur(LiaallgVo liaallg);

    void defaultAcpliaLiaptyinr(LiaallgVo liaallg);

    void defaultExtid(LiaallgVo liaallg);

    void defaultNam(LiaallgVo liaallgVo);

    void defaultPtegrpRecBegdat(LiaallgVo liaallg);

    void defaultPtegrpRecRolpay(LiaallVo liaallVo, LiaallgVo liaallg);

    void defaultDftfeecod(LiaallgVo liaallg);

    void defaultFeecod(LiaallgVo liaallg);

    void defaultFee(LiaallgVo liaallgVo);

    void setLiaallgInfo4Setmod(LiaallgVo liaallgVo);

    void defaultAmtchgflg(LiaallgVo liaallg);

    void defaultAcpliaCbeDat(LiaallgVo liaallgVo);

    void defaultTenday(LiaallgVo liaallg);

    void defaultMatdat(LiaallVo liaall, LiaallgVo liaallg);

    void defaultTrntyp(LiaallVo liaallVo, LiaallgVo liaallgVo);

    String getTnrId(LiaallVo liaall, LiaallgVo liaallg);
}
